Create Time Activity
curl --request POST \
--url https://api.sonderplan.com/v2/time-activity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sound Post",
"description": "Recording, mixing and exporting from Pro Tools and other DAWs"
}
'import requests
url = "https://api.sonderplan.com/v2/time-activity"
payload = {
"name": "Sound Post",
"description": "Recording, mixing and exporting from Pro Tools and other DAWs"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sound Post',
description: 'Recording, mixing and exporting from Pro Tools and other DAWs'
})
};
fetch('https://api.sonderplan.com/v2/time-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 2384
}
}{
"error": {
"code": 400,
"message": "name is required... Name of the tax"
}
}Time Activity
Create Time Activity
WRITE access to the ADMIN module is required to access this endpointPOST
/
v2
/
time-activity
Create Time Activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Operation
Show child attributes
Show child attributes
⌘I